---
title: Release 2021-08-04
menuTitle: 2021-08-04
any: true
description: >-
  Changelog for Release 2021-08-04 (oso 0.14.1) containing new features,
  bug fixes, and more.
---

## `oso` 0.14.1

### Core

#### Other bugs & improvements

- Native types (`Integer`, `String`, `Dictionary`, etc.) and
  equivalent host objects created with the `new` operator can now
  be unified transparently.
- The debugger can now break on runtime errors.
- The `var` command  in the debugger now automatically maps variable
  names to their temporary bindings.
- The VM can now represent circular data without crashing.
- The `in` operator now correctly handles rest variables.

### Ruby

#### Other bugs & improvements

- Comparison operations on Ruby objects are now fully supported.

### Rust

#### New features

##### Roles in Rust

The Rust library now has
built-in support for Role-Based Access Control (RBAC) policies
which you can turn on with `.enable_roles()`.

### Java

#### New features

##### Roles in Java

The Java library now has built-in support for Role-Based Access Control (RBAC)
policies, which you can turn on with `.enable_roles()`.

### Python

#### Other bugs & improvements

- The python library will no longer call `repr` on every object passed into a
  query. Instead, instances will be stringified only when needed (during a log,
  debug, or error event).
  - This leads to a performance improvement when you have instances with heavy
    `repr` calls (e.g. when `repr` requires a round-trip to the database).

## `flask-oso` documentation

### Other bugs & improvements

- Thanks to [`@arusahni`](https://github.com/arusahni) for surfacing and
  documenting a potential gotcha when using `flask-oso` with other Flask
  libraries that rely on `LocalProxy` objects.
